<?php
include_once  'system/common.php';
include_once 'system/functions.php';
include_once 'system/user.php';
if(!$user){
	header("Location:/");
	exit;
}
$title='Тайник';
include_once 'system/h.php';
if(isset($_GET['buy'])){
if($user['g']<250){
		?>
		<div class='title'/>Не хватает золота</div><div class='line'/></div>
		<?
}elseif($user['g']>=250){
mysql_query("UPDATE `users` SET `g`='".($user['g']-250)."',`key`='".($user['key']+1)."' WHERE `id`='".$user['id']."'");
		?>
		<div class='title'/>Ключ успешно приобретен.</div><div class='line'/></div>
		<?
	}
}
if(isset($_GET['1']) OR isset($_GET['2']) OR isset($_GET['3']) OR isset($_GET['4'])){
	$chanse=rand(0,100);//Шанс
	if($user['key']<1){
		?>
		<div class='title'/>Не хватает ключей</div><div class='line'/></div>
		<?
	}elseif($user['key']>0){
if($chanse<7){
$golda=rand(100,10000);
		$text='Вам выпало '.$golda.' <img src="/images/icon/gold.png"/> золота';
		mysql_query("UPDATE `users` SET `g`='".($user['g']+$golda)."' WHERE `id`='".$user['id']."'");
}elseif($chanse<55 && $chanse>5){
		$silver=rand(1000,15000);
		$text='Вам выпало '.$silver.'<img src="/images/icon/silver.png"/> серебра';
		mysql_query("UPDATE `users` SET `s`='".($user['s']+$silver)."' WHERE `id`='".$user['id']."'");		
}elseif($chanse<100 && $chanse>98){
		$item=mysql_query("SELECT * FROM `items` WHERE `quality`='6' ORDER BY RAND() LIMIT 1");
		$it=mysql_fetch_array($item);
		mysql_query('INSERT INTO `inv` (`user`,
                                     `item`,
                                    `bonus`,
                                    `smith`,
                                     `_str`,
                                     `_vit`,
                                     `_agi`,
                                     `quality`,
                                     `_def`) VALUES ("'.$user['id'].'",
                                                      "'.$it['id'].'",
                                                           "65",
                                                           "20",
                                                             "2290",
                                                             "2290",
                                                             "2290",
                                                             "6",
                                                             "2290")');
		$text='Вам улыбнулась удача! Вы добыли <img src="/images/icon/quality/6.png"/>'.$it['name'].' +20 заточка и +65 бонус';
	}
	mysql_query("UPDATE `users` SET `key`='".($user['key']-1)."' WHERE `id`='".$user['id']."'");
	?>
	<div class='title'/><?=$text;?></div><div class='line'/></div>	<?
}
}
?>
<div class='title'/>Тайник</div>
<div class='content'/>
<center>
<img src='/images/town/stashroom.png'/>
</center>
</div>
<div class='line'/></div>
<div class='content'/>
<center>
У вас <?=$user['key'];?><img src='/images/icon/key.png'/> ключей.
<br/>
<a class='button' href='?buy'/> Купить ключ 250<img src='/images/icon/gold.png'/></a>
</center>
</div>
<div class='line'/></div>
<div class='content'/>
<center>
	<a href='?1'/><img src='/images/stash/0.png'/></a>
	<a href='?2'/><img src='/images/stash/0.png'/></a>
	<a href='?3'/><img src='/images/stash/0.png'/></a>
	<a href='?4'/><img src='/images/stash/0.png'/></a>
</center/>
</div>

<?
include_once 'system/f.php';
?>